Skip to main content

Revoke Admin access

Deletes the admin role permission for a particular user.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/revokeadmin/{username}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_user/{username}/promote
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Admin access revoked successfully",
"status": "OK",
"subSystem": 5
}

Response Status Information​

Status CodeStatusMessage
200OKAdmin access revoked successfully
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist